ti-enxame.com

Joomla PHP não corresponde ao Host PHP

Sou novato no desenvolvimento web e instalei o Joomla no meu site. Por alguma razão, dificilmente posso fazer qualquer coisa, porque minha versão PHP é apenas 5.3), de acordo com o Joomla.

No entanto, usando meu cpanel, alterei o PHP para 5.5.

Como faço para o Joomla atualizar a versão PHP versão?

Informações adicionais: É assim que parece, não entendo por que o Joomla tem uma versão php diferente. Abaixo também é a mensagem de erro que vejo quando Eu tento instalar um pacote de modelos.

enter image description here

5
Sean

Como outros mencionam, o Joomla não instala nem atualiza o PHP, simplesmente informa a versão do PHP disponível.

É possível que seu .htaccess _ contém instruções para definir PHP. Isso é bastante comum, mas o código exato varia de acordo com a sua empresa de hospedagem, mas geralmente se parece com isso:

AddHandler application/x-httpd-php53 .php .php5 .php4 .php3

Procure esta linha no seu .htaccess e comente-o (adicione # antes da linha) se você a encontrar. Observe que pode haver várias instâncias de .htaccess na sua conta, em pastas diferentes.


Você também pode verificar suas PHP versões criando um novo .php (chame o que quiser) e insira o seguinte código em mostre informações sobre o seu PHP settings :

<?php
    phpinfo();
?>

Salve e visite o arquivo no seu navegador (por exemplo, http://example.com/myphpinfo.php ). Tente mover o arquivo para diferentes pastas e veja se a versão PHP muda.

Remova o arquivo ao concluir o teste, por motivos de segurança.

3
johanpw

Dependendo do tipo de hospedagem e do provedor de hospedagem, é possível ajustar a versão php da sua conta através de .htaccess - então, meu palpite é que o arquivo htaccess pode conter essas diretrizes.

Portanto, verifique seu arquivo .htaccess para entradas como:

AddHandler application/x-httpd-php53 .php

ou algo assim se você estiver com o GoDaddy:

AddHandler x-httpd-php5-3 

Remova ou comente essas linhas usando '# 'na frente deles como:

#AddHandler application/x-httpd-php53 .php

Além disso, usando o mesmo, você pode tentar definir a versão php desejada para:

AddHandler application/x-httpd-php55 .php

poderia mudar para PHP 5.5.

De qualquer forma, se você não conseguir resolvê-lo, recomendo entrar em contato com seu provedor de hospedagem para ajudá-lo.

1
FFrewin